Commit 44aad7f8 authored by Jeremy Bicha's avatar Jeremy Bicha

New upstream version 2+0.6

parent 4ea3e084

Too many changes to show.

To preserve performance only 1000 of 1000+ files are displayed.

*.tar.gz
Makefile
Makefile.in
aclocal.m4
autom4te.cache
config.cache
config.log
config.status
configure
clean.stamp
css.stamp
html.stamp
images.stamp
index.stamp
latex.stamp
mkdirs.stamp
pdf.stamp
profile.stamp
validate.stamp
html
pdf
xml
This diff is collapsed.
Status of the GIMP-help-2 module
================================
0. What happened so far?
------------------------
The development on the original gimp-help modules came pretty much to a
stop after the first few stable versions of GIMP 1.2 were released. This is
due to several reasons, one of them being that all of the original
documentation had been converted from HTML to DocBook/SGML and apart from a
bit new content, lots of markup and proofreading not too much happened to
the organisation of the complete mess.
We (syngin and prof) that is, are not too happy about the quirks we had to
go through to make the new help behave very much the same as the old help
in its limited usability.
Among other reasons this was about the most severe one that de-focused us
a bit.
A (fair) bit later syngin spoke to me (prof) and asked if it would be okay to
start completely from scratch; wipe out everything and start with a bunch
of new ideas (which this document will hopefully mention at some time :));
so here we go and I'll try to explain a few of the new ideas we have in
mind before we really start over.
1. Prerequisites
----------------
- DocBook XML it is (or will be)
- Formatting will be done by XSLT
- The help-plugin will pick up a mapping file and use it
After all the goals still are to get kick-ass documentation for the GIMP
which will be usable as online help over the helpbrowser, standalone in
a HTML-browser faciliating cutting-edge technology like XHTML and CSS
as well as highest quality printing material.
2. The team
-----------
As is there are syngin (Mel Boyce <syngin@gimp.org>)
and prof (Daniel Egger<degger@fhm.edu>) as the team lead.
While syngin will take care of the content, prof's main area of activity
will be the technical realisation and organisation.
So far other people have expressed some interest in helping out and
they'll be introduced while we keep going.
2. Ideas
--------
This is the part where you may kick in; if you have any ideas tell
us and they'll show up here.
So far we have:
- Multiple format support: Obviously it is a must have to sport several
different output formats.
- Segregated index lists: To remove the need to stick to exactly specified
filenames the plugin will be driven by index files which tell what
file in which language and/or format will be used.
- Application callbacks: Control the GIMP over special formed links which
allow firing up events from the helpbrowser; like in Windows(tm):
"Click HERE to format drive C:".
- Eye candy: We need lots of screen shots and if possible create images
dynamically over application callbacks.
- Homepage: Every serious project has one, so we need one, too. :)
3. Timeframe
------------
Obviously we don't need one. :) Seriously though, we haven't even started
due to lack of time but we're in a hot planning phase and hope to get
something done in sooner or later. We're not aiming at providing
documentation for GIMP 1.2.x, this is what good ol' gimp-help is for.
GIMP 1.3 is still in development and also lacks a timeframe but I'd shoot
for early 1.4.x whenever that'll be.
So long, so far, Yours,
Mel Boyce and Daniel Egger
This diff is collapsed.
#!/bin/sh
# This script does all the magic calls to automake/autoconf and
# friends that are needed to configure a cvs checkout. You need a
# couple of extra tools to run this script successfully.
#
# If you are compiling from a released tarball you don't need these
# tools and you shouldn't use this script. Just call ./configure
# directly.
PROJECT="gimp-help-2"
TEST_TYPE=-f
FILE=src/gimp.xml
AUTOCONF_REQUIRED_VERSION=2.54
AUTOMAKE_REQUIRED_VERSION=1.6
srcdir=`dirname $0`
test -z "$srcdir" && srcdir=.
ORIGDIR=`pwd`
cd $srcdir
check_version ()
{
if expr $1 \>= $2 > /dev/null; then
echo "yes (version $1)"
else
echo "Too old (found version $1)!"
DIE=1
fi
}
echo
echo "I am testing that you have the required versions of autoconf and automake ..."
echo
DIE=0
echo -n "checking for autoconf >= $AUTOCONF_REQUIRED_VERSION ... "
if (autoconf --version) < /dev/null > /dev/null 2>&1; then
VER=`autoconf --version \
| grep -iw autoconf | sed "s/.* \([0-9.]*\)[-a-z0-9]*$/\1/"`
check_version $VER $AUTOCONF_REQUIRED_VERSION
else
echo
echo " You must have autoconf installed to compile $PROJECT."
echo " Download the appropriate package for your distribution,"
echo " or get the source tarball at ftp://ftp.gnu.org/pub/gnu/"
DIE=1;
fi
echo -n "checking for automake >= $AUTOMAKE_REQUIRED_VERSION ... "
if (automake-1.7 --version) < /dev/null > /dev/null 2>&1; then
AUTOMAKE=automake-1.7
ACLOCAL=aclocal-1.7
elif (automake-1.8 --version) < /dev/null > /dev/null 2>&1; then
AUTOMAKE=automake-1.8
ACLOCAL=aclocal-1.8
elif (automake-1.9 --version) < /dev/null > /dev/null 2>&1; then
AUTOMAKE=automake-1.9
ACLOCAL=aclocal-1.9
elif (automake-1.6 --version) < /dev/null > /dev/null 2>&1; then
AUTOMAKE=automake-1.6
ACLOCAL=aclocal-1.6
else
echo
echo " You must have automake 1.6 or newer installed to compile $PROJECT."
echo " Download the appropriate package for your distribution,"
echo " or get the source tarball at ftp://ftp.gnu.org/pub/gnu/automake/"
DIE=1
fi
if test x$AUTOMAKE != x; then
VER=`$AUTOMAKE --version \
| grep automake | sed "s/.* \([0-9.]*\)[-a-z0-9]*$/\1/"`
check_version $VER $AUTOMAKE_REQUIRED_VERSION
fi
if test "$DIE" -eq 1; then
echo
echo "Please install/upgrade the missing tools and call me again."
echo
exit 1
fi
test $TEST_TYPE $FILE || {
echo
echo "You must run this script in the top-level $PROJECT directory."
echo
exit 1
}
echo
echo "I am going to run ./configure with the following arguments:"
echo
echo " --enable-maintainer-mode --enable-build $AUTOGEN_CONFIGURE_ARGS $@"
echo
if test -z "$*"; then
echo "If you wish to pass additional arguments, please specify them "
echo "on the $0 command line or set the AUTOGEN_CONFIGURE_ARGS "
echo "environment variable."
echo
fi
if test -z "$ACLOCAL_FLAGS"; then
acdir=`$ACLOCAL --print-ac-dir`
m4list="pkg.m4"
for file in $m4list
do
if [ ! -f "$acdir/$file" ]; then
echo
echo "WARNING: aclocal's directory is $acdir, but..."
echo " no file $acdir/$file"
echo " You may see fatal macro warnings below."
echo " If these files are installed in /some/dir, set the ACLOCAL_FLAGS "
echo " environment variable to \"-I /some/dir\", or install" echo " $acdir/$file."
echo
fi
done
fi
$ACLOCAL $ACLOCAL_FLAGS
RC=$?
if test $RC -ne 0; then
echo "$ACLOCAL gave errors. Please fix the error conditions and try again."
exit 1
fi
$AUTOMAKE --add-missing || exit 1
autoconf || exit 1
cd $ORIGDIR
if $srcdir/configure --enable-maintainer-mode --enable-build "$@"; then
echo
echo "Now type 'make' to compile $PROJECT."
else
echo
echo "Configure failed or did not finish!"
exit 1
fi
This diff is collapsed.
Structure of the Documentation
------------------------------
Before you start working on documentation, we should think about the
structure of the GimpDocs itself. I make this proposal according to the
existing GUM, which is delivered with the GIMP 1.2. Please feel free to add
terms and modify this structure. (C - Chapter, S1 - Sec1, S2 - Sec2, S3 -
Sec3)
Look for up-to-date versions on:
http://wiki.gimp.org/gimp/StructureOfTheDocumentation
C - S1 - S2 - S3
----------------
1. Introduction
1. About GIMP
2. What is GIMP?
1. List of features
2. Supported Platforms
3. What Can The GIMP Do For Me?
1. Image Editing
2. Photo Retouching
3. Painting
4. Web Design
5. Video Editing
4. The GIMP-Help system
1. This Document
2. Other Help Functions
3. Other Documents
5. Reporting Bugs
1. How To Collect The Information
2. Where To Report
2. Legal Notice
1. The GIMP License
3. Using GIMP
1. Starting for the First Time
1. User Directory
2. Performance Tuning
3. Monitor Resolution
2. The Main Interface
3. Image Window
1. Viewing